Skip to main content

Create Company

Creates a new company record in the system.

Authentication​

This endpoint requires authentication. See Authentication for details.

Parameters​

ParameterTypeRequiredDescription
namestringYesName of the company
companyCodestringYesUnique 3-character company code
countryCodestringNoTwo-letter ISO country code
abmCodestringNoABM integration code

Request​

Production URL: https://orchestrator.tecspal.com/
Sandbox URL: https://orchestrator-dev.tecspal.com/
Endpoint: POST /companies

Example Request​

{
"request": "companies",
"vendor": "tecspal",
"verb": "POST",
"data": {
"name": "New Company",
"companyCode": "NCY",
"countryCode": "UY",
"abmCode": "abmcode123"
}
}

Response Schema​

PropertyTypeDescription
statusCodenumberHTTP status code of the response
messagestringDescription of the response status
envelopobjectObject containing the created company data

Company Properties​

PropertyTypeDescription
idstringUnique identifier of the company
createdAtstringDate/time when the company was created (ISO 8601)
namestringName of the company
companyCodestringCustom code for identifying the company
abmCodestringInternal ABM system code for the company (nullable)
webhookUrlstringURL for receiving company event webhooks (nullable)
companySourcestringCompany source (e.g. INTERNAL)
{
"statusCode": 201,
"message": "Request successful",
"envelop": [
{
"id": "fd677355-91ed-49a6-b7f6-ae076798f45c",
"createdAt": "2025-04-14T21:35:04.626Z",
"name": "New Company",
"companyCode": "NCY",
"abmCode": "abmcode123",
"webhookUrl": null,
"companySource": "INTERNAL"
}
]
}

Error Responses​

Bad Request (400)​

{
"statusCode": 400,
"message": "name should not be empty",
"envelop": []
}

Unauthorized (401)​

{
"statusCode": 401,
"message": "Unauthorized access",
"envelop": []
}

Conflict (409)​

{
"message": "companyCode already exists",
"statusCode": 409,
"envelop": []
}

Notes​

  • companyCode must be exactly 3 characters and unique.
  • To create or update a company inline while creating a movement, use the company object on Create Offboarding Movement.